# Please make sure to configure pipeline schedules in your Gitlab
# repository to activate the pipelines defined in this file. See
# https://docs.gitlab.com/ee/ci/pipelines/schedules.html for details.
#
# You can override the included templates by adding variable overrides to
# the pipeline definitions.
#
# Code Quality customization: https://docs.gitlab.com/ee/user/project/merge_requests/code_quality.html
#
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
#
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
#
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
#
# Note that environment variables can be set in several places. See
# https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
# for details.


include:
  - template: Code-Quality.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/Secret-Detection.gitlab-ci.yml


code_quality:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  tags:
    - gitlab-org-docker


bandit-sast:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  tags:
    - gitlab-org-docker


eslint-sast:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  tags:
    - gitlab-org-docker


semgrep-sast:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  tags:
    - gitlab-org-docker


secret_detection:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
  tags:
    - gitlab-org-docker
